import { __decorate } from "tslib";
import Intact from 'intact-angular';
import { NgModule, NO_ERRORS_SCHEMA } from '@angular/core';
import { Upload } from './components/upload';
export var UploadComponent = Intact.decorate(Upload, 'k-upload');
var components = [UploadComponent];
var UploadModule = /** @class */ (function () {
    function UploadModule() {
    }
    UploadModule = __decorate([
        NgModule({
            declarations: components,
            exports: components,
            schemas: [NO_ERRORS_SCHEMA]
        })
    ], UploadModule);
    return UploadModule;
}());
export { UploadModule };